Subject: Re: using xdl_merge(), was Re: Resolving conflicts

From: Ramsay Jones <[email-masked]>
Date: Tue, 05 Dec 2006 17:58:07 +0000

Johannes Schindelin wrote:
> On Fri, 1 Dec 2006, Junio C Hamano wrote:
>> Linus Torvalds <[email-masked]> writes:
>>> On Thu, 30 Nov 2006, Wink Saville wrote:
>>>> Earlier had a problem with git wanting merge but didn't have it and
>>>> couldn't figure out which package it was in Ubuntu:( So I symlinked merge
>>>> to kdiff3 which worked at the time:
>>> Btw, what's the status of the xdl_merge() thing in "pu"?
>> I haven't looked at the code any further than minimally checking
>> its external interface to be able to interface it with
>> merge-recursive and no more.  Namely:
>>
>>  - I haven't read the algorithm to judge its correctness;
> 
> With my track record of blamable patches, that should be done by somebody 
> else than me.
> 

Have you had time to look at my test cases?
As I said, I found them very useful when debugging
my git-diff3 code, and (hopefully) you will find them
to be equally useful.

> Ciao,
> Dscho

All the best,

Ramsay